Change your tradelink
Update the Steam Trade URL linked to your Waxpeer account.
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
apirequired | query | string | Your WAXPEER API key |
Request body
| Name | Location | Type | Description |
|---|---|---|---|
tradelinkoptional | body | string | Partner's Steam trade URL (tradelink) |
{
"tradelink": "https://steamcommunity.com/tradeoffer/new/?partner=153212146&token=ssRe42do"
}Responses
200 Successful operation
| Name | Type | Description |
|---|---|---|
successoptional | boolean | Whether the operation succeeded |
linkoptional | string | Your new Steam Trade URL |
infooptional | string | Exact response message from Steam on error |
msgoptional | enum | Reason message when success is false enum: Invalid tradelink, Missing partner, Missing token, Your tradelink is incorect, please update it, You're banned for not accepting trades, We couldn't validate your trade link, either your inventory is private or you can't trade, Please set your steam inventory public, User has VACBAN or Game Ban, There was an error with tradelink,please try again |
tokenoptional | string | Steam trade link token or access token |
steamid32optional | number | Steam partner account ID (32-bit) |
steamid64optional | number | Partner Steam ID64 |
{
"success": false,
"link": "https://steamcommunity.com/tradeoffer/new/?partner=900267897&token=P2YkRJOk",
"info": "You cannot trade with SteamUserName because they have a trade ban.",
"msg": "We couldn't validate your trade link, either your inventory is private or you can't trade",
"token": "P2YkRJOk",
"steamid32": 900267897,
"steamid64": 76561198000000000
}429 Too many requests. Rate limit exceeded
| Name | Type | Description |
|---|---|---|
successoptional | boolean | Whether the operation succeeded |
msgoptional | string | Reason message when success is false |
msBeforeNextoptional | number | Milliseconds before next allowed request |
{
"success": false,
"msg": "string",
"msBeforeNext": 0
}